Package org.eclipse.emf.cdo.lm.client

# Class ISystemDescriptor.ResolutionException.Reason.Conflicting

java.lang.Object
org.eclipse.emf.cdo.lm.client.ISystemDescriptor.ResolutionException.Reason
org.eclipse.emf.cdo.lm.client.ISystemDescriptor.ResolutionException.Reason.Conflicting

Enclosing class:
  `ISystemDescriptor.ResolutionException.Reason`

public static final class ISystemDescriptor.ResolutionException.Reason.Conflicting extends ISystemDescriptor.ResolutionException.Reason

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.lm.client.ISystemDescriptor.ResolutionException.Reason

`ISystemDescriptor.ResolutionException.Reason.Conflicting, ISystemDescriptor.ResolutionException.Reason.Dependency, ISystemDescriptor.ResolutionException.Reason.Missing, ISystemDescriptor.ResolutionException.Reason.Module`

## Field Summary

Fields
Modifier and Type
Field
Description
`final ISystemDescriptor.ResolutionException.Reason.Module[]`
`modules`

## Constructor Summary

Constructors
Constructor
Description
`Conflicting(ISystemDescriptor.ResolutionException.Reason.Module[] modules)`

## Method Summary

Modifier and Type
Method
Description
`ISystemDescriptor.ResolutionException.Reason.Module[]`
`getModules()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### modules

public final ISystemDescriptor.ResolutionException.Reason.Module[] modules

## Constructor Details

### Conflicting

public Conflicting(ISystemDescriptor.ResolutionException.Reason.Module[] modules)

## Method Details

### getModules

public ISystemDescriptor.ResolutionException.Reason.Module[] getModules()

### toString

public String toString()

Overrides:
  `toString` in class `Object`